# Command: and

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    and - logical and operator.

Synopsis:

    bool1 bool2 and -> bool
      int1  int2  and -> int

Examples:

    true true and -> true
      10   24   and -> 8

Description:

    For booleans, and returns true if both arguments are true
      For integer arguments, and performs a bit-wise and between
      the two integers.

SeeAlso:

- or
- xor
- not

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/sli/slimath.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative